/* 
 *	HistorikStart.C			1.002			  6.11.2009
 *
 *	Das Programm kopiert das Programm Historik mit QBasic nach C:\Historik 
 *  und lscht auch das Verzeichnis, wenn das gewnscht wird. 
 *  
 *	Letzte Bearbeitung:
 *	-------------------
 *	 10.10.2009 -   6.11.2009	Johannes Stimmer, Norbert Sdland
 *  
 *  Zum Verstndnis:
 *  ----------------
 *    => \216      (Ae)
 *    => \204      (ae)
 *    => \231      (Oe)
 *    => \224      (oe)
 *    => \232      (Ue)
 *    => \201      (ue)
 *    => \341      (sz / ss)
 *
 */

/* Include Dateien: */
/*------------------*/

  #include <stdio.h>
  #include <stdlib.h>
  #include <dirent.h>

/*********************/
  int main ( void ) {
/*********************/

  /* Definierte Variable */
  /*---------------------*/
  
  unsigned int a ;
    
  /* Informationen und Funktion des Programms */
  /*------------------------------------------*/
  printf( "-------------------------------------------------------------------------------\n" ) ;
  printf( "  Version: 1.002        Johannes Stimmer, Norbert S\201dland          6.11.2009\n" ) ;
  printf( "-------------------------------------------------------------------------------\n" ) ;
  printf( "                                                                               \n" ) ;
  printf( "      1=HISTORIK STARTEN                                                       \n" ) ;
  printf( "        (sollte Historik noch nicht installiert sein wird es erst installiert  \n" ) ;   
  printf( "        ;Installieren = Historik und QBasic nach c:\\Historik kopieren)        \n" ) ;
  printf( "                                                                               \n" ) ;
  printf( "      2=DEINSTALLIEREN VON HISTORIK                                            \n" ) ;
  printf( "        (der Ordner c:\\Historik wird gel\224scht)                             \n" ) ;
  printf( "                                                                               \n" ) ;
  printf( "      3=BEENDEN                                                                \n" ) ;
  printf( "        (das Installationsprogramm wird beendet)                               \n" ) ;
  printf( "                                                                               \n" ) ;
  printf( "-------------------------------------------------------------------------------\n" ) ;
  printf( "  ACHTUNG!: Um das Programm Historik im Vollbildmodus anzeigen zu lassen, muss \n" ) ;
  printf( "            man ALT und gleichzeitig ENTER dr\201cken.                         \n" ) ;
  printf( "            Um im Programm den Programm-Kode einzusehen, muss STRG und gleich- \n" ) ;
  printf( "            zeitig ROLLEN gedr\201ckt werden, statt wie angegeben \201blich STRG und\n" ) ;
  printf( "            PAUSE.                                                             \n" ) ;
  printf( "-------------------------------------------------------------------------------\n" ) ;
  printf( "                                                                               \n" ) ;
  printf( " Bitte die gew\201nschte Zahl (1=Installieren; 2=Deinstallieren; 3=Beenden)    \n" ) ;
  printf( " eingeben: " ) ;
  a = getch( ) ;
  
  /*Historik installieren*/
  /*---------------------*/   
  switch( a ) {
    case '1':
    case 13:            /* Return oder Enter */
    case 10:            /* unter DOS bei Return dabei */
    
      /* berprfen ob das Verzeichnis C:\Historik existiert, falls nicht Historik zu C:\Historik kopieren */
      /*--------------------------------------------------------------------------------------------------*/
      if( opendir( "c:\\Historik" ) == NULL ) {
        chdir( "Historik" ) ;   
        system( "xcopy *.* C:\\Historik /e /h /i" ) ;
        chdir( ".." ) ;
        
        /* DosBox mit Historik ffnen */
        /*----------------------------*/
        system( "dosboxportable.exe" ) ;
      }
    
      /* Exisiert das Verzeichnis C:\Historik, dann soll Historik gestartet werden */
      /*---------------------------------------------------------------------------*/
      else{
              
        /* DosBox mit Historik ffnen */
        /*----------------------------*/
        system( "dosboxportable.exe" ) ;
      }  
    break ;
  
  /* Historik deinstallieren */
  /*-------------------------*/
    case '2':
    case '\b':          /* Backspace-Taste (<---) */
       
      /* berprfen ob Historik installiert ist, falls ja dann soll es deinstalliert werden */
      /*-----------------------------------------------------------------------------------*/
      if( opendir( "c:\\Historik" ) != NULL ) {   
        chdir( "c:\\" ) ;
      
        system( "del Historik /s /q" ) ;           /* Unter Windows XP */ 
        system( "rd c:\\Historik /s /q" ) ;        /* Unter Windows XP */
      
        system( "DELTREE /Y C:\\HISTORIK" ) ;      /* unter Windows 98 und ME */
      
        system( "cls" ) ; 
        printf( " \n" ) ;
        printf( "----------------------------\n" ) ;
        printf( " DEINSTALLATION ERFOLGREICH \n" ) ;
        printf( "----------------------------\n" ) ;
        printf( " \n" ) ;
        printf( "Um das Programm zu beenden dr\201cken Sie eine beliebige Taste. \n" ) ; 
        system( "pause>nul" ) ;
      }
    
      /* Sollte Historik nicht installiert sein, wird ein Fehler ausgegeben */
      /*--------------------------------------------------------------------*/
      else {
        system( "cls" ) ;
        printf( " \n" ) ;
        printf( "---------\n" ) ;
        printf( " FEHLER! \n" ) ;
        printf( "---------\n" ) ;
        printf( " \n" ) ;
        printf( "Das Programm konnte Historik nicht deinstallieren, da der Ordner\n" ) ;
        printf( "Historik in c:\\ nicht gefunden wurde. Um das Programm zu beenden\n" ) ;
        printf( "dr\201cken Sie eine beliebige Taste.\n" ) ;
        system( "pause>nul" ) ;
      }  
    break ;
    
    /* Programm beenden */
    /*------------------*/
    case '3':
    case 27:            /* ESC-Taste */
    break ;
    
    /* Falls etwas anderes eingegeben wird */
    /*-------------------------------------*/
    default:
      system( "cls" ) ;
      printf( "\n\nDIESES PROGRAMM IST NICHT ZUM HACKEN GEEIGNET !!!\n\n" ) ;
      printf( "Zum Beenden eine beliebige Taste dr\201cken.\n\n" ) ;
      system( "pause>nul" ) ;
    break ;    
  }
  
  /*__ End of 'main( )' __*/
  return( 0 ) ;
}                   
          
/*
 *	End of HistorikStart.C
 */
